---
title: llarp::vpn::LinuxRouteManager::NLRequest

---

# llarp::vpn::LinuxRouteManager::NLRequest





## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[AddData](Classes/structllarp_1_1vpn_1_1LinuxRouteManager_1_1NLRequest.md#function-adddata)**(int type, const void * data, int alen) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| nlmsghdr | **[n](Classes/structllarp_1_1vpn_1_1LinuxRouteManager_1_1NLRequest.md#variable-n)**  |
| rtmsg | **[r](Classes/structllarp_1_1vpn_1_1LinuxRouteManager_1_1NLRequest.md#variable-r)**  |
| char[4096] | **[buf](Classes/structllarp_1_1vpn_1_1LinuxRouteManager_1_1NLRequest.md#variable-buf)**  |

## Public Functions Documentation

### function AddData

```cpp
inline void AddData(
    int type,
    const void * data,
    int alen
)
```


## Public Attributes Documentation

### variable n

```cpp
nlmsghdr n;
```


### variable r

```cpp
rtmsg r;
```


### variable buf

```cpp
char[4096] buf;
```


-------------------------------

Updated on 2022-10-26 at 17:18:04 +0000